package com.ruoyi.project.sems.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TSpecdevYlgdMapper;
import com.ruoyi.project.sems.domain.TSpecdevYlgd;
import com.ruoyi.project.sems.service.ITSpecdevYlgdService;

/**
 * 特种设备压力管道台账Service业务层处理
 *
 * @author ruoyi
 * @date 2021-07-22
 */
@Service("tSpecdevYlgdService")
public class TSpecdevYlgdServiceImpl implements ITSpecdevYlgdService
{
    @Autowired
    private TSpecdevYlgdMapper tSpecdevYlgdMapper;

    /**
     * 查询特种设备压力管道台账
     *
     * @param id 特种设备压力管道台账ID
     * @return 特种设备压力管道台账
     */
    @Override
    public TSpecdevYlgd selectTSpecdevYlgdById(Long id)
    {
        return tSpecdevYlgdMapper.selectTSpecdevYlgdById(id);
    }

    /**
     * 查询特种设备压力管道台账列表
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 特种设备压力管道台账
     */
    @Override
    public List<TSpecdevYlgd> selectTSpecdevYlgdList(TSpecdevYlgd tSpecdevYlgd)
    {
        return tSpecdevYlgdMapper.selectTSpecdevYlgdList(tSpecdevYlgd);
    }

    @Override
    public List<TSpecdevYlgd> selectTSpecdevYlgdListByYear(TSpecdevYlgd tSpecdevYlgd) {
         return tSpecdevYlgdMapper.selectTSpecdevYlgdListByYear(tSpecdevYlgd);
    }

    /**
     * 新增特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    @Override
    public int insertTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd)
    {
        return tSpecdevYlgdMapper.insertTSpecdevYlgd(tSpecdevYlgd);
    }

    /**
     * 修改特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    @Override
    public int updateTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd)
    {
        return tSpecdevYlgdMapper.updateTSpecdevYlgd(tSpecdevYlgd);
    }

    /**
     * 批量删除特种设备压力管道台账
     *
     * @param ids 需要删除的特种设备压力管道台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevYlgdByIds(Long[] ids)
    {
        return tSpecdevYlgdMapper.deleteTSpecdevYlgdByIds(ids);
    }

    /**
     * 删除特种设备压力管道台账信息
     *
     * @param id 特种设备压力管道台账ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevYlgdById(Long id)
    {
        return tSpecdevYlgdMapper.deleteTSpecdevYlgdById(id);
    }


    @Override
    public void duplicateTSpecdevYlgd() {
        tSpecdevYlgdMapper.duplicateTSpecdevYlgd();
    }
}
